> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a fixed assets

> Update a fixed assets

### Path parameters

<ParamField path="id" type="string" required>
  Fixed asset ID
</ParamField>

### Request body

`UpdateFixedAssetRequest`

<ParamField body="category" type="string,null" />

<ParamField body="description" type="string,null" />

<ParamField body="name" type="string,null" />

<ParamField body="salvage_value" type="string,null">
  Decimal salvage value as a string.
</ParamField>

<ParamField body="useful_life_months" type="integer,null (int32)" />

### Responses

<ResponseField name="200" type="FixedAssetResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/fixed-assets/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "category": null,
    "description": null,
    "name": null,
    "salvage_value": null,
    "useful_life_months": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "accumulated_depreciation": "string",
    "acquisition_cost": "string",
    "acquisition_date": "string",
    "asset_number": "string",
    "book_value": "string",
    "category": "string",
    "created_at": "string",
    "currency": "string",
    "disposal_gain_loss": null,
    "id": "string",
    "in_service_date": null,
    "name": "string",
    "salvage_value": "string",
    "status": "string",
    "useful_life_months": 1
  }
  ```
</ResponseExample>
